de.esprit.appsuite.nls

## Class RawNlsKey

- java.lang.Object
- - de.esprit.appsuite.nls.RawNlsKey

- All Implemented Interfaces:
    NlsKey, java.io.Serializable
  Direct Known Subclasses:
    CheckOptionWrapper, RawActionKey, RawDatabaseKey

      public class RawNlsKey
      extends java.lang.Object
      implements NlsKey

  This class provides a way for untranslated texts
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RawNlsKey()`
    `RawNlsKey(java.lang.String text)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAppKey()` Returns the base prefix of the key
    `java.lang.String` | `getSubKey()` Returns the path of the key
    `java.lang.String` | `getText(java.lang.Object... args)` Returns the translated text, which is the value of the translation key as stored in the translation map.
    `java.lang.String` | `getTipText()`
    `java.lang.String` | `getTranslationKey()`
    `java.lang.String` | `name()` Returns the last name part of the key (same as Enum.name()).
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RawNlsKey

          public RawNlsKey()

    - #### RawNlsKey

          public RawNlsKey(java.lang.String text)

  - ### Method Detail

    - #### getAppKey

          public java.lang.String getAppKey()

      Description copied from interface: `NlsKey`
      Returns the base prefix of the key
      Specified by:
        `getAppKey` in interface `NlsKey`

    - #### getSubKey

          public java.lang.String getSubKey()

      Description copied from interface: `NlsKey`
      Returns the path of the key
      Specified by:
        `getSubKey` in interface `NlsKey`

    - #### getTranslationKey

          public java.lang.String getTranslationKey()

    - #### name

          public java.lang.String name()

      Description copied from interface: `NlsKey`
      Returns the last name part of the key (same as Enum.name()).
      Specified by:
        `name` in interface `NlsKey`

    - #### getText

          public java.lang.String getText(java.lang.Object... args)

      Description copied from interface: `NlsKey`
      Returns the translated text, which is the value of the translation key as stored in the translation map.
      Specified by:
        `getText` in interface `NlsKey`

    - #### getTipText

          public java.lang.String getTipText()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.